import java.awt.*;
import javax.swing.*;
import java.awt.dnd.*;
import java.util.*;

/**
 * LogicCircuits.java 1.0 03/02/01
 * <br>
 * Author       : James McMahon
 * <br>
 * The panel that can be used for the reverse TT-LG question types
 * <br>
 * Created      : 1/02/2003
 * <br>
 * Last Updated : 1/02/2003
 */
public class GateSourcePanel extends JPanel {

	private ImageIcon icon = null;
	private Image image = null;
	private boolean alreadyDone = false;
	
	private TransferableImage im1 = null;
	private TransferableImage im2 = null;
	private TransferableImage im3 = null;
	private TransferableImage im4 = null;
	private TransferableImage im5 = null;
	private TransferableImage im6 = null;
	private TransferableImage im7 = null;

	public GateSourcePanel(ArrayList transferableImagesArray) {
		this.setLayout(new FlowLayout());
		this.setPreferredSize(new Dimension(20,20)); 
	
		ListIterator i = transferableImagesArray.listIterator();
		
		while (i.hasNext()) {
			this.add((TransferableImage)i.next());
       	}
	}
}